Geography (Snowpark Java API Reference 1.20.0)

Package com.snowflake.snowpark_java.types

## Class Geography

- java.lang.Object
- - com.snowflake.snowpark_java.types.Geography

- All Implemented Interfaces:
    `java.io.Serializable`

      public class Geography
      extends java.lang.Object
      implements java.io.Serializable

  Java representation of Snowflake Geography data.
  Since:
    0.8.0
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `asGeoJSON()` | Converts this Geography object to a GeoJSON string.
    `boolean` | `equals​(java.lang.Object other)` | Checks whether two Geography object are equal.
    `static Geography` | `fromGeoJSON​(java.lang.String g)` | Creates a Geography object from a GeoJSON string.
    `int` | `hashCode()` | Calculates the hash code of this Geography Object.
    `java.lang.String` | `toString()` | Converts this Geography object to a String value.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object other)

      Checks whether two Geography object are equal.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `other` - A Geography object
      Returns:
        true if these two object are equal

    - #### hashCode

          public int hashCode()

      Calculates the hash code of this Geography Object.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        An int number representing the hash code value
      Since:
        0.9.0

    - #### asGeoJSON

          public java.lang.String asGeoJSON()

      Converts this Geography object to a GeoJSON string.
      Returns:
        A GeoJSON string.
      Since:
        0.8.0

    - #### toString

          public java.lang.String toString()

      Converts this Geography object to a String value. alias of `asGeoJson` function.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A String value.

    - #### fromGeoJSON

          public static Geography fromGeoJSON​(java.lang.String g)

      Creates a Geography object from a GeoJSON string.
      Parameters:
        `g` - GeoJSON String
      Returns:
        a new Geography object
      Since:
        0.8.0